cURL
curl --request POST \
--url https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"toDid": "<string>",
"type": "<string>",
"input": {}
}
'import requests
url = "https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch"
payload = {
"toDid": "<string>",
"type": "<string>",
"input": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({toDid: '<string>', type: '<string>', input: {}})
};
fetch('https://api.useanima.sh/v1/agents/{fromAgentId}/a2a/dispatch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agentId": "<string>",
"orgId": "<string>",
"fromDid": "<string>",
"toDid": "<string>",
"type": "<string>",
"status": "submitted",
"input": {},
"output": {},
"error": {
"code": "<string>",
"message": "<string>"
},
"history": [
{
"status": "submitted",
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}API Reference
Post agents a2adispatch
POST
/
agents
/
{fromAgentId}
/
a2a
/
dispatch
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Path Parameters
ID of the sending agent (must belong to the caller's org)
Pattern:
^[cC][^\s-]{8,}$Body
application/json
Response
200 - application/json
OK
Full A2A task representation
Unique task identifier
Pattern:
^[cC][^\s-]{8,}$ID of the receiving agent
Pattern:
^[cC][^\s-]{8,}$Organization that owns the receiving agent
Pattern:
^[cC][^\s-]{8,}$Sender DID
Receiver DID
Task type
Current status of the A2A task
Available options:
submitted, working, input_required, completed, failed, canceled Task input payload
Show child attributes
Show child attributes
Task output payload
Show child attributes
Show child attributes
Error details if task failed
Show child attributes
Show child attributes
Status change history
Show child attributes
Show child attributes
Task creation timestamp
Last update timestamp
